Remove Users & Groups from Roles on Multiple Documents & Binders
Remove users and groups from roles on documents and binders in bulk.
- The maximum CSV input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
- The maximum batch size is 1000.
DELETE
/api/{version}/objects/documents/roles/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersYou can add parameters in the request body or upload them as a CSV file. When adding parameters in the request body, you can only remove the same set of users and groups from the same set of documents and binders (docIds). Use a CSV file to remove different sets of users and groups from different documents or binders by adding multiple rows to the id column.
| Name | Description |
|---|---|
idconditional | The document or binder ID. Required if uploading a CSV file. |
docIdsconditional | A list of document and binder IDs. Required instead of id when adding parameters to the request body. |
role__v.usersoptional | A string of comma-separated user id values to remove. |
role__v.groupsoptional | A string of comma-separated group id values to remove. |
For example,
id | reviewer__v.users | reviewer__v.groups | approver__v.users | approver__v.groups |
|---|---|---|---|---|
| 771 | "12021,12022" | "3311303,3311404" | 22124 | 4411606 |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: application/json" \
--data-raw 'id,coordinator__v.users,consumer__v.users
5,"1008313","1006595"' \
https://myvault.veevavault.com/api/v26.1/objects/documents/roles/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 5,
"coordinator__v.users": [
1008313
],
"consumer__v.users": [
1006595
]
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists the IDs of the users or groups removed from the provided document roles. On FAILURE, the response returns an error message describing the reason for the failure. For example, a user or group may not be removed if the role assignment is system-managed.